#!/bin/csh -f
#
set dat = `date +%e.%b.%y `
set host = ` hostname -s `
set cli  = "/usr/sbin/areca_cli"

echo "############################################################"
echo "#"
echo "# template_"$host
echo "#"
echo "# Generated automatically with arcea_diskinfo.csh"
echo "#"
echo "# Created: "$dat
echo "#"
echo "# Do NOT edit"
echo "#"
echo "# Responsible: Gordon.Lee@cern.ch"
echo "#"
echo "############################################################"
echo "  "
echo "template diskinfo_"$host
echo "  "
echo "  # RAID controller serial number"
echo "  "

set cserial = ` $cli sys info | awk '{ if ($1 == "Serial" )   { print $4 } }' `
set cfirmw  = ` $cli sys info | awk '{ if ($1 == "Firmware" ) { print $4 } }' `

echo '  "hardware/cards/raid/_0/serialnumber" = "'$cserial'";'
echo "  "
echo "  # hard disk serial numbers"
echo "  "

set ports   = ` $cli disk info | awk '{ if ($1 > 0 && $1 <= 16 )  { print $1 } }' `
set serials = ` $cli disk info | awk '{ if ($1 > 0 && $1 <= 16 )  { print $3 } }' `

set pcount = 1
foreach port ( $ports )

  echo '  "hardware/disks/_areca_11603/_0/_'$port'/serialnumber" = "'$serials[$pcount]'";'
  @ pcount++
end

echo "  "

